#include <stdio.h>

int main() {
    int scale[8];
    for(int i=0; i<8; i++) {
        scanf("%d",&scale[i]);
    }

    int num = scale[0];
    int isAscending = num == 1 ? 1 : 0;
    for(int i=1; i<8; i++) {
        if(isAscending) num++;
        else num--;
        if(scale[i]!=num) {
            printf("mixed\n");
            return 0;
        }
    }

    if(isAscending) printf("ascending\n");
    else printf("descending\n");

    return 0;
}